Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Attempting to install duplicati without X
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Bigun
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 2155

PostPosted: Wed Apr 04, 2018 4:11 pm    Post subject: Attempting to install duplicati without X Reply with quote

So there's a backup package I really want to use that requires gtk+, which pulls in X.

Code:
projector ~ # emerge -va duplicati-bin

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! The ebuild selected to satisfy "x11-libs/gtk+:3" has unmet requirements.
- x11-libs/gtk+-3.22.19::gentoo USE="introspection -X (-aqua) -broadway -cloudprint -colord -cups -examples -test -vim-syntax -wayland -xinerama"

  The following REQUIRED_USE flag constraints are unsatisfied:
    any-of ( aqua wayland X )

  The above constraints are a subset of the following complete expression:
    any-of ( aqua wayland X ) xinerama? ( X )

(dependency required by "x11-themes/adwaita-icon-theme-3.24.0::gentoo" [ebuild])
(dependency required by "x11-libs/gtk+-2.24.31-r1::gentoo" [ebuild])
(dependency required by "x11-themes/gtk-engines-adwaita-3.22.3::gentoo" [ebuild])


Problem is, my server that I want to use this on is a headless box - no X. Any suggestions?

Either software alternative or some kind of setting to bypass this requirement?
_________________
"It's ok, they might have guns but we have flowers." - Perpetual Victim
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7196
Location: almost Mile High in the USA

PostPosted: Wed Apr 04, 2018 4:22 pm    Post subject: Reply with quote

Is this package in the main portage tree? I suspect you should build your own without X, but since it's not in my portage I can't tell if it supports compiling without X... at least it seems like there is a CLI interface to this program which technically should not require GTK+ and thus the ebuild should not require it ...
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7203
Location: Saint Amant, Acadiana

PostPosted: Wed Apr 04, 2018 4:28 pm    Post subject: Reply with quote

It sounds like a binary package. You could try with --nodeps and see what happens. They have git repo in case you need to build it yourself.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7196
Location: almost Mile High in the USA

PostPosted: Wed Apr 04, 2018 5:01 pm    Post subject: Reply with quote

I figured since it appears to be OSS, someone has an ebuild for the source too somewhere...
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
Bigun
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 2155

PostPosted: Wed Apr 04, 2018 6:59 pm    Post subject: Reply with quote

Gah, I meant to put this in unsupported software, it's from an overlay.
_________________
"It's ok, they might have guns but we have flowers." - Perpetual Victim
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum